######################
# zh/3310.grid
######################

type=3310.AlarmEvent.Revision
code=18.3.117
severity=1
actionable=1
desc=Revision changed from [Old_Version] to [New_Version]


type=3310.AlarmEvent.channel
code=18.3.120
severity=1
actionable=1
desc=[enclosure] (wwn=204000c0ff000003): Channel 0 is missing


type=3310.AlarmEvent.enclosure
code=18.3.16
severity=1
actionable=1
desc=The state of 'info.status' on [enclosure] changed from 'Online' to 'Offline'


type=3310.AlarmEvent.fan
code=18.3.19
severity=1
actionable=1
desc=Fan status has been changed
info=emu 上的风扇状态已经改变。
action=1. 请检查该风扇。


type=3310.AlarmEvent.firmware_version
code=18.3.119
severity=1
actionable=1
desc=Firmware_version changed from [Old_Version] to [New_Version]


type=3310.AlarmEvent.part
code=18.3.72
severity=1
actionable=0
desc= Total Partitions in logical drive has been changed
info= 逻辑驱动器的总分区数已经改变。


type=3310.AlarmEvent.power
code=18.3.37
severity=1
actionable=1
desc=Power status has been changed
info=电源状态已经改变。
action= 请检查电源


type=3310.AlarmEvent.raid_level
code=18.3.69
severity=1
actionable=0
desc=Raid level has been changed on logical.0 from 5 to 0 
info=逻辑驱动器 RAID 级别已经改变。


type=3310.AlarmEvent.size
code=18.3.70
severity=1
actionable=0
desc=Effective size has been changed on part.1 from 38952MB to 68952MB 
info=分区有效大小已经改变。


type=3310.AlarmEvent.temperature
code=18.3.51
severity=1
actionable=1
desc=Temperature status has been changed
info=emu 上的温度状态已经改变。
action=1.请检查风扇或空调


type=3310.AlarmEvent.volume
code=18.3.53
severity=1
actionable=0
desc= Total Partitions in logical drive has been changed
info= 逻辑驱动器的总分区数已经改变。


type=3310.CommunicationEstablishedEvent.ib
code=18.11.21
severity=0
actionable=0
desc=Communication regained (InBand([Host_Name])) with [Array_Name] ([IP_Address]) ( last reboot was 2001-09-27 15:22:00)
info=带内通信


type=3310.CommunicationEstablishedEvent.oob
code=18.11.31
pattern=e
severity=0
actionable=0
desc=Communication regained (OutOfBand([Host_Name])) with [Array_Name] ([IP_Address])
info=带外通信


type=3310.CommunicationLostEvent.e
code=18.12.118
severity=3
actionable=1
desc=Lost communication (InBand([Host_Name])) with [Array_Name] ([IP_Address]) ( last reboot was 2001-09-27 15:22:00)


type=3310.CommunicationLostEvent.ethernet
code=18.12.122
severity=2
actionable=1
desc='The state of 'info.ethernet_errs' on [Array_Name] changed from 'ok' to 'ping_failed' 


type=3310.CommunicationLostEvent.ib
code=18.12.21
pattern=ib
severity=3
actionable=1
desc=Lost communication (InBand([Host_Name])) with [Array_Name] ([IP_Address]) ( last reboot was 2001-09-27 15:22:00)
info=带内。该事件用 sccli 建立。对于特定的 3310，
'可能不激活该监视功能。
action=1. 通过命令行 (sccli show) 检验 sccli 访问。
'2. 请沿着数据路径检查电缆、GBIC、电源和连接。
'3. 检查 SAN 拓扑 GUI，确定数据路径的故障段。
'4. 如果可以，检验 FC 交换机的配置是否正确。


type=3310.CommunicationLostEvent.oob
code=18.12.31
pattern=e
severity=3
actionable=1
desc=Lost communication (OutOfBand(Host_Name)) with [Array_Name] ([IP_Address]
cause=该问题也可能由以下原因导致：
' - 网络速度过慢，
' - 到该阵列的以太网连接丢失或速度过慢。
' - 控制器故障
action=1. 检查阵列的电源
'2. 检查与受影响的阵列之间的以太网连接


type=3310.ComponentInsertEvent.disk
code=18.40.13
pattern=add.disk.u\dd\d
severity=0
actionable=0
desc=disk.u2d3(SEAGATE.ST318203FSUN18G.LRG07139) was added to [Array_Name] ([IP_Address])
info=由序列号标识的新磁盘已安装到
' 3310 上。


type=3310.ComponentInsertEvent.power
code=18.40.37
pattern=add.power.u\dpcu\d
severity=0
actionable=0
desc='power.u1pcu2'(TECTROL-CAN.300-1454-01(50).008275) was added to 3310 [Array_Name] ([IP_Address])
info=由序列号标识的新电源已安装到
' 3310 上。


type=3310.ComponentRemoveEvent.disk
code=18.41.13
pattern=remove.disk.u\dd\d
severity=2
actionable=1
desc=disk.u2d3(SEAGATE.ST318203FSUN18G.LRG07139) was removed from [Array_Name] ([IP_Address])
info=3310 报告已从底盘删除了一个磁盘
action=1. 在关闭电源窗口出现的 30 分钟内更换磁盘


type=3310.DeviceLostEvent.aggregate
code=18.34.71
pattern=aggregate
severity=3
actionable=1
desc=Device [Array_Name] ([IP_Address]) is not available anymore, confirmed by the following 5 subevents
info=确认某个设备不可用的集合事件。


type=3310.DiscoveryEvent
code=18.14.16
severity=0
actionable=0
desc=Discovered a new 3310 called ras [Array_Name] ([IP_Address])  slr-mi.370-3990-01-e-e1.003239
info=发现事件在代理第一次探测
'存储设备时发生。


type=3310.LocationChangeEvent
code=18.19.16
severity=0
actionable=0
desc=Location of 3310 [Array_Name] ([IP_Address]) was changed


type=3310.LogEvent.array_error
code=18.20.90
severity=1
actionable=1
desc=Error(s) found in logfile: /var/adm/messages.3310 on msp0 (id=830bfa3f):
info=通用阵列错误消息


type=3310.LogEvent.cpu
code=18.20.116
severity=2
actionable=1


type=3310.QuiesceEndEvent
code=18.22.16
severity=0
actionable=0
desc=Quiesce End on 3310  [Array_Name] ([IP_Address])
info=通过 GUI 停止了一个设备，这意味着已临时停止对
'该设备的监视。
cause=管理员已更改了事件消息中涉及的设备的
'监视状态。
action=1. 与管理员联系，确认该操作是否为预期的操作。
'可能已发生的所有附加事件。


type=3310.QuiesceStartEvent
code=18.23.16
severity=0
actionable=0
desc=Quiesce Start on 3310  [Array_Name] ([IP_Address])
info=通过 GUI 停止了一个设备，这意味着已临时停止对
'been temporarily stopped.
cause=管理员已更改了事件消息中涉及的设备的
'out in the event message.
action=1. 与管理员联系，确认该操作是否为预期的操作。
'可能已发生的所有附加事件。


type=3310.StateChangeEvent+.disk
code=18.25.13
pattern=P.disk.u\dd\d
severity=0
actionable=0
desc='disk.u1d5' in 3310 [Array_Name] ([IP_Address]) is now Available (status-state changed from 'fault-disabled' to 'ready-enabled'):


type=3310.StateChangeEvent+.volume
code=18.25.53
pattern=P.volume.u\dvol\d
severity=0
actionable=0
desc= 'volume.u1vol1'(slr-mi.370-3990-01-e-f0.022542.u1vol1) in 3310 [Array_Name] ([IP_Address]) is now Available (status-state changed from 'unmounted' to 'mounted')
info='3310 报告某个 LUN 已经改变了状态


type=3310.StateChangeEvent-.disk
code=18.26.13
pattern=[MX].disk.u\dd\d
severity=2
actionable=1
desc='components.disk.12'(3EK1STTQ00007251) in 3310 [Array_Name] (wwn=WWN) is now
'Not-Available (state changed from 'Online' to 'Bad drive')
info=3310 检测到该事件中详述的磁盘状态改变。
cause=该驱动器可能已经降速或出错，以某种方式指示这一状态。
action=1. 检查 StorADE GUI 以找到该设备的当前运行状况状态以及
'可能已发生的所有附加事件。
'2. 建立一个到该阵列的连接，并检查设备的运行状况。


type=3310.StateChangeEvent-.lun
code=18.26.66
severity=1
actionable=0
desc='logical_drive.1'(204000c0ff000003.logical.1) in 3310 [Device] (wwn=204000c0ff000003) is now Not-Available (state changed from 'unknown' to 'Degraded')


type=3310.StateChangeEvent-.volume
code=18.26.53
pattern=[MX].volume.u\dvol\d
severity=2
actionable=1
info=3310 报告某个 LUN 已经改变了状态
action=1. 通过 Telnet 连接到受影响的 3310


